#ifndef DRUGINTERACTIONREPORT_H
#define DRUGINTERACTIONREPORT_H

#include <QObject>

/**
 * \file druginteractionreport.h
 * \author Eric MAEKER <eric.maeker@gmail.com>
 * \version 0.6.0
 * \date 09 Mar 2011
*/

namespace DrugsDB {
class DrugInteractionQuery;
class DrugInteractionResult;

class DrugInteractionReport : public QObject
{
    Q_OBJECT
public:
    explicit DrugInteractionReport(QObject *parent = 0);

    void setResultAndQuery(const DrugInteractionQuery *query, const DrugInteractionResult *result);
    QString errorMessage() const;
    bool correctlySent() const;

public Q_SLOTS:
    void done(int r);
    void send();

Q_SIGNALS:
    void sent(bool error);

};

}  // End namespace DrugsDB


#endif // DRUGINTERACTIONREPORT_H
